/*
Please supply the filename and path to match your environment: 

Primary database mdf file
Memory optimized file
Log file

*/

USE [master]
GO


CREATE DATABASE [SQLLab]
 CONTAINMENT = NONE
 ON  PRIMARY 
( NAME = N'SQLLab', FILENAME = N'D:\Data\MSSQL13.SQL2016\SQLLab.mdf' , SIZE = 2039808KB , MAXSIZE = UNLIMITED, FILEGROWTH = 65536KB ), 
 
 FILEGROUP [MemoryOptimized] CONTAINS MEMORY_OPTIMIZED_DATA  DEFAULT
( NAME = N'XTPFile', FILENAME = N'D:\Data\XTPFile_1' , MAXSIZE = UNLIMITED)
 
 LOG ON 
( NAME = N'SQLLab_log', FILENAME = N'D:\Data\MSSQL13.SQL2016\SQLLab_log.ldf' , SIZE = 7217152KB , MAXSIZE = 2048GB , FILEGROWTH = 65536KB )
GO

ALTER DATABASE [SQLLab] SET COMPATIBILITY_LEVEL = 130
GO

IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [SQLLab].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO

ALTER DATABASE [SQLLab] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [SQLLab] SET ANSI_NULLS OFF 
GO

ALTER DATABASE [SQLLab] SET ANSI_PADDING OFF 
GO

ALTER DATABASE [SQLLab] SET ANSI_WARNINGS OFF 
GO

ALTER DATABASE [SQLLab] SET ARITHABORT OFF 
GO

ALTER DATABASE [SQLLab] SET AUTO_CLOSE OFF 
GO

ALTER DATABASE [SQLLab] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [SQLLab] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [SQLLab] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [SQLLab] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [SQLLab] SET CONCAT_NULL_YIELDS_NULL OFF 
GO

ALTER DATABASE [SQLLab] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [SQLLab] SET QUOTED_IDENTIFIER OFF 
GO

ALTER DATABASE [SQLLab] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [SQLLab] SET  DISABLE_BROKER 
GO

ALTER DATABASE [SQLLab] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [SQLLab] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [SQLLab] SET TRUSTWORTHY OFF 
GO

ALTER DATABASE [SQLLab] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO

ALTER DATABASE [SQLLab] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [SQLLab] SET READ_COMMITTED_SNAPSHOT OFF 
GO

ALTER DATABASE [SQLLab] SET HONOR_BROKER_PRIORITY OFF 
GO

ALTER DATABASE [SQLLab] SET RECOVERY SIMPLE 
GO

ALTER DATABASE [SQLLab] SET  MULTI_USER 
GO

ALTER DATABASE [SQLLab] SET PAGE_VERIFY CHECKSUM  
GO

ALTER DATABASE [SQLLab] SET DB_CHAINING OFF 
GO

ALTER DATABASE [SQLLab] SET FILESTREAM( NON_TRANSACTED_ACCESS = OFF ) 
GO

ALTER DATABASE [SQLLab] SET TARGET_RECOVERY_TIME = 60 SECONDS 
GO

ALTER DATABASE [SQLLab] SET DELAYED_DURABILITY = DISABLED 
GO

ALTER DATABASE [SQLLab] SET QUERY_STORE = OFF
GO

USE [SQLLab]
GO

ALTER DATABASE SCOPED CONFIGURATION SET MAXDOP = 0;
GO

ALTER DATABASE SCOPED CONFIGURATION FOR SECONDARY SET MAXDOP = PRIMARY;
GO

ALTER DATABASE SCOPED CONFIGURATION SET LEGACY_CARDINALITY_ESTIMATION = OFF;
GO

ALTER DATABASE SCOPED CONFIGURATION FOR SECONDARY SET LEGACY_CARDINALITY_ESTIMATION = PRIMARY;
GO

ALTER DATABASE SCOPED CONFIGURATION SET PARAMETER_SNIFFING = ON;
GO

ALTER DATABASE SCOPED CONFIGURATION FOR SECONDARY SET PARAMETER_SNIFFING = PRIMARY;
GO

ALTER DATABASE SCOPED CONFIGURATION SET QUERY_OPTIMIZER_HOTFIXES = OFF;
GO

ALTER DATABASE SCOPED CONFIGURATION FOR SECONDARY SET QUERY_OPTIMIZER_HOTFIXES = PRIMARY;
GO

ALTER DATABASE [SQLLab] SET  READ_WRITE 
GO


