
--- IN-MEMORY table with NONCLUSTERED INDEXES
USE SQLLAB
declare @Trial int = 1

SET NOCOUNT ON;

DECLARE @sql nvarchar(1000)=
'select 

	m.col1, m.col2, m.col3, col4, m.code1, m.code2, m.code3 
from maintable_inmemoryNC m 
where 
	<filter type> 

'

DECLARE @filterType nvarchar(500)=''

set @filterType =
case 
when @Trial = 4 then   
	' m.col2 IN (0,1,2, 3)   --- Trial 4
	and m.code1 = ''code1-1''
	and m.code2 = ''code2-1''
	and m.code3 = ''code3-1'' '

when @Trial = 3 then 
	' m.col2 < 4				--- Trial 3
	and
	m.col2 > 2 '

when @Trial = 2 then 
	' m.col2 = 3				--- Trial 2
	and
	m.code3 = ''code3-3'' '

when @Trial = 1 then 
	' m.code3 = ''code3-3''	--- Trial 1 '
end ;

set @sql = REPLACE(@sql, '<filter type>', @filterType); 

declare @runs int =10, @run int=1;

set statistics time on;
while (@run < @runs) BEGIN 
	execute( @sql );

	SET @run = @run + 1;
END
set statistics time off;